<ui:composition xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
   xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
   xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
   xmlns:c="http://java.sun.com/jstl/core"
   xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameter aEncounter: the AbstractEncounter object to display -->
    <ul class="nav nav-tabs" role="tablist">
        <li role="presentation" class="active">
            <a href="#info" aria-controls="info" role="tab" data-toggle="tab">#{messages['gazelle.simulator.pam.GeneralInformations']}</a>
        </li>
        <li role="presentation">
            <a href="#doc" aria-controls="doc" role="tab"
               data-toggle="tab">#{messages['gazelle.simulator.pam.Doctors']}</a>
        </li>
        <c:if test="${historic}">
            <li role="presentation">
                <a href="#movinfo" aria-controls="movinfo" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.WardsMovement']}</a>
            </li>
        </c:if>
        <c:if test="${automatonManager.isBP6ModeEnabled() and automatonManager.selectedGraphExecution.bp6mode}">
            <li role="presentation">
                <a href="#drg" aria-controls="drg" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.DRGMovement_2']}</a>
            </li>
            <li role="presentation">
                <a href="#add" aria-controls="add" role="tab"
                   data-toggle="tab">#{messages['gazelle.simulator.pam.AdditionalInformation']}</a>
            </li>
            <li role="presentation">
                <a href="#dmp" aria-controls="dmp" role="tab"
                   data-toggle="tab">#{messages['gazelle.pam.PatientsPHR']}</a>
            </li>
        </c:if>
    </ul>
    <div class="tab-content tab-content-with-border">
        <div role="tabpanel" class="tab-pane active" id="info">
            <div class="form-horizontal">
                <ui:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml" id="visitNumberDecorate">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.VisitNumber']}</ui:define>
                    <ui:param name="id" value="visitNbinput"/>
                    <h:outputText value="#{aEncounter.visitNumber}" rendered="#{aEncounter.visitNumber != null}"/>
                    <s:div rendered="#{aEncounter.visitNumber == null}">
                        <span class="input-group">
                            <h:inputText value="#{aEncounter.visitNumber}"
                                         id="visitNbinput" styleClass="form-control"/>
                            <span class="input-group-btn">
                                 <a4j:commandButton value="#{messages['gazelle.simulator.pam.GenerateOne']}"
                                                    actionListener="#{automatonManager.getNewVisitNumber()}"
                                                    render="encounterEditPanel"
                                                    styleClass="gzl-btn-blue"/>
                            </span>
                        </span>
                    </s:div>
                </ui:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.patientmanager.HospitalService']}</ui:define>
                    <ui:param name="id" value="inputService"/>
                    <h:selectOneMenu value="#{aEncounter.hospitalServiceCode}" id="inputService"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('HOSPITAL_SERVICE')}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </div>
        </div>
        <div role="tabpanel" class="tab-pane" id="doc">
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.AttendingDoctor']}</ui:define>
                    <ui:param name="id" value="inputAttending"/>
                    <h:selectOneMenu id="inputAttending" value="#{aEncounter.attendingDoctorCode}"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('DOCTOR')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.ReferringDoctor']}</ui:define>
                    <ui:param name="id" value="inputReferring"/>
                    <h:selectOneMenu id="inputReferring" value="#{aEncounter.referringDoctorCode}"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('DOCTOR')}"/>
                    </h:selectOneMenu>
                </s:decorate>
                <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                    <ui:define name="label">#{messages['gazelle.patientmanager.AdmittingDoctor']}</ui:define>
                    <ui:param name="id" value="inputAdmitting"/>
                    <h:selectOneMenu id="inputAdmitting" value="#{aEncounter.admittingDoctorCode}"
                                     styleClass="form-control">
                        <f:selectItems value="#{valueSet.getListOfConcepts('DOCTOR')}"/>
                    </h:selectOneMenu>
                </s:decorate>
            </div>
        </div>
        <c:if test="${historic}">
            <div role="tabpanel" class="tab-pane" id="movinfo">
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:define name="label">#{messages['gazelle.pam.MedicalResponsabilityWard']}</ui:define>
                        <ui:param name="id" value="medward"/>
                        <h:selectOneMenu id="medward" value="#{aMovement.wardCode}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('MEDICAL_WARD')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                rendered="#{automatonManager.isBP6ModeEnabled() and automatonManager.selectedGraphExecution.bp6mode}">
                        <ui:define name="label">#{messages['gazelle.pam.NursingResponsabilityWard']}</ui:define>
                        <ui:param name="id" value="nurseward"/>
                        <h:selectOneMenu id="nurseward" value="#{aMovement.nursingCareWard}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('NURSING_WARD')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                                rendered="#{automatonManager.isBP6ModeEnabled() and automatonManager.selectedGraphExecution.bp6mode}">
                        <ui:define name="label">#{messages['gazelle.pam.NatureOfMovement']}</ui:define>
                        <ui:param name="id" value="nature"/>
                        <h:selectOneMenu id="nature" value="#{aMovement.natureOfMovement}"
                                         styleClass="form-control">
                            <f:selectItems value="#{valueSet.getListOfConcepts('HL79106')}"/>
                        </h:selectOneMenu>
                    </s:decorate>
                </div>
            </div>
        </c:if>
        <c:if test="${automatonManager.isBP6ModeEnabled() and automatonManager.selectedGraphExecution.bp6mode}">
            <div role="tabpanel" class="tab-pane" id="drg">
                <ui:include src="/fr/_editDRGMovement.xhtml">
                    <ui:param name="drg" value="#{aEncounter.drgMovement}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="add">
                <ui:include src="/fr/_editAdditionalEncounterInfo.xhtml">
                    <ui:param name="zfv" value="#{aEncounter.encounterAdditionalInfo}"/>
                </ui:include>
            </div>
            <div role="tabpanel" class="tab-pane" id="dmp">
                <ui:include src="/fr/_editPatientsPHR.xhtml">
                    <ui:param name="phr" value="#{aEncounter.patientsPHRInfo}"/>
                </ui:include>
            </div>
        </c:if>
    </div>
</ui:composition>
